<?xml version="1.0" encoding="utf-8" ?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
  targetNamespace="urn:yahoo:srchmm"
  xmlns="urn:yahoo:srchmm"
  elementFormDefault="qualified">

	<xs:element name="ResultSet">
		<xs:complexType>
			<xs:sequence>
				<xs:element name="Result" type="ResultType" minOccurs="0" maxOccurs="50" />
			</xs:sequence>
			<xs:attribute name="totalResultsAvailable" type="xs:integer" />
			<xs:attribute name="totalResultsReturned" type="xs:integer" />
			<xs:attribute name="firstResultPosition" type="xs:integer" />
		</xs:complexType>
	</xs:element>

	<xs:complexType name="ResultType">
		<xs:sequence>
			<xs:element name="Title" type="xs:string" />
			<xs:element name="Album" type="AlbumType" />
			<xs:element name="Artist" type="ArtistType" />
			<xs:element name="Publisher" type="xs:string" />
			<xs:element name="Length" type="xs:integer" />
			<xs:element name="ReleaseDate" type="xs:string" />
			<xs:element name="Track" type="xs:integer" minOccurs="0" />
			<xs:element name="Thumbnail" type="ThumbnailType" minOccurs="0" />
			<xs:element name="ClickUrl" type="xs:string" minOccurs="0" />
		</xs:sequence>
		<xs:attribute name="id" type="xs:string" />
	</xs:complexType>
	
	<xs:complexType name="ThumbnailType">
		<xs:sequence>
			<xs:element name="Url" type="xs:string" />
			<xs:element name="Height" type="xs:integer" minOccurs="0" />
			<xs:element name="Width" type="xs:integer" minOccurs="0" />
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="AlbumType">
		<xs:simpleContent>
			<xs:extension base="xs:string">
				<xs:attribute name="id" type="xs:string" />
			</xs:extension>
		</xs:simpleContent>
	</xs:complexType>

	<xs:complexType name="ArtistType">
		<xs:simpleContent>
			<xs:extension base="xs:string">
				<xs:attribute name="id" type="xs:string" />
			</xs:extension>
		</xs:simpleContent>
	</xs:complexType>
	
</xs:schema>
